> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/verduurzamen/verduurzaming-api-v2-delta/voorbeeld-api-calls.md).

# Voorbeeld API calls

#### Eenvoudig request

```html
{
    "postcode": "2771DS",
    "housenumber": 87,
    "houseaddition": ""
}
```

#### Gebouwparameters toevoegen

<pre><code><strong>{
</strong>    "postcode": "2771DS",
    "housenumber": 87,
    "houseaddition": "",
    "build_year" : 1961,
    "house_type": 1,
    "roof_type": 1,
    "inner_surface_area": 131
}
</code></pre>

#### Huidige maatregelen toevoegen

```
{
    "postcode": "2771DS",
    "housenumber": 87,
    "houseaddition": "",
    "wall_insulation": 1,
    "floor_insulation": 1,
    "sloped_roof_insulation": 1,
    "flat_roof_insulation": 1,
    "living_room_windows": 1,
    "bedroom_windows": 1,
    "shower": 1,
    "cooling": 1,
    "electric_cooking": 1,
    "ventilation": 1,
    "installation": 4
}
```

{% hint style="info" %} <mark style="color:$danger;">**Als er geen doelmaatregelen zijn toegepast, is de doelsituatie hetzelfde als de huidige situatie!**</mark>\ <mark style="color:$danger;">**vb.**</mark> `"target_wall_insulation" = "wall_insulation"`
{% endhint %}

#### Doelmaatregelen toevoegen <a href="#adding-target-measures" id="adding-target-measures"></a>

```
{
    "postcode": "2771DS",
    "housenumber": 87,
    "houseaddition": "",
    "wall_insulation": 1,
    "floor_insulation": 1,
    "sloped_roof_insulation": 1,
    "flat_roof_insulation": 1,
    "living_room_windows": 1,
    "bedroom_windows": 1,
    "shower": 1,
    "cooling": 1,
    "electric_cooking": 1,
    "ventilation": 1,
    "installation": 4,
    "target_wall_insulation": 3,
    "target_floor_insulation": 4,
    "target_sloped_roof_insulation": 3,
    "target_flat_roof_insulation": 3,
    "target_living_room_windows": 3,
    "target_bedroom_windows":3,
    "target_shower": 1,
    "target_cooling": 2,
    "target_electric_cooking": 2,
    "target_ventilation": 3,
    "target_installation": 5   
}
```

#### Zonnepanelen toevoegen <a href="#adding-solar-panels" id="adding-solar-panels"></a>

```
{
 "postcode": "2771DS",
 "housenumber": 87,
 "houseaddition": "",
 "solar_panels": [{"pv_total_watt_peak":2000,
                   "target_pv_total_watt_peak":2500,
                   "angle":45,
                   "orientation":180,
                   "roof_type": 1},
                  {"pv_area": 20,     
                   "target_pv_area": 20,
                   "specific_watt_peak": 150,
                   "target_specific_watt_peak": 200,
                   "angle":45,
                   "orientation":180,
                   "roof_type": 1}]        
}
```

#### Batterij toevoegen

```
{
   "postcode": "2771DS",
   "housenumber": 87,
   "houseaddition": "",
   "battery_type":3,
   "battery_system": {"capacity": 10, "power":5},
   "target_battery_type":3,
   "target_battery_system": {"capacity": 12, "power":6}
}
```

#### Verbruiksgegevens toevoegen  <a href="#adding-usage-data" id="adding-usage-data"></a>

```
{
  "postcode": "2771DS",
  "housenumber":87,
  "houseaddition": "",
  "heat_usage": 25,
  "electricity_usage": 4500,
  "gas_usage": 750
}
```

### Filters toevoegen

<pre><code><strong>{
</strong>  "postcode": "2771DS",
  "housenumber": 87,
  "houseaddition": "",
  "wall_filters": {"biobased": true, "cavity": true, "material":[4]},
  "sloped_roof_filters": {"biobased": false, "insulation_side": 2, "replace_roof": true, "material":[1]},
  "flat_roof_filters": {"biobased": false, "insulation_side": 2, "replace_roof": true, "material":[1]},
  "floor_filters": {"floor_type": 1, "crawl_space": true, "material":[2]}
}
</code></pre>

### Meer kenmerken toevoegen

```
{
    "postcode": "2771DS",
    "housenumber": 87,
    "houseaddition": "",
    "inhabitants":4,
    "electricity_generation": 100,
    "exclude_vat":false,
    "cost_indicators":{"fixed_gas_price":100,
                     "custom_measure_costs": {"10002": 41,
                                              "80408": 11151,
                                              "70000": 182
                                              }}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/verduurzamen/verduurzaming-api-v2-delta/voorbeeld-api-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
